2012R2client

With SCCM 2012 R2 (Build 5.0.7958.1000), the Windows 10 clients can not be supported. If you try to install the SCCM 2012 R2 client on Windows 10 machine, a generic error appears (ERROR: Target machine (ComputerName) must be Windows 2003 SP2 or Windows XP SP3 or newer.) when checking the CCM.log file available on the site server, and no additional errors or logs are available, except the fact that the SCCM 2012 R2 client never gets installed.

 

SOLUTION:

In order to cater the Windows 10 clients, you need to upgrade your existing SCCM 2012 R2 environment to a minimum of SCCM 2012 R2 with SP1 4. Detailed OS requirements can be found at here.